package com.tencent.liteav.beauty.b;

import android.opengl.GLES20;
import com.tencent.liteav.beauty.NativeLoad;
import com.tencent.matrix.trace.core.AppMethodBeat;

class f$c extends r {
    int r;
    int s;
    float t = 1.5f;

    public f$c() {
        super(null, null);
    }

    public boolean a() {
        AppMethodBeat.i(67046);
        NativeLoad.getInstance();
        this.a = NativeLoad.nativeLoadGLProgram(2);
        if (this.a == 0 || !b()) {
            this.g = false;
        } else {
            this.g = true;
        }
        c();
        boolean z = this.g;
        AppMethodBeat.o(67046);
        return z;
    }

    public boolean b() {
        AppMethodBeat.i(67047);
        if (super.b()) {
            this.r = GLES20.glGetUniformLocation(this.a, "texelWidthOffset");
            this.s = GLES20.glGetUniformLocation(this.a, "texelHeightOffset");
            AppMethodBeat.o(67047);
            return true;
        }
        AppMethodBeat.o(67047);
        return false;
    }

    /* Access modifiers changed, original: 0000 */
    public void a(float f) {
        AppMethodBeat.i(67048);
        this.t = f;
        a(this.r, this.t / ((float) this.e));
        a(this.s, this.t / ((float) this.f));
        AppMethodBeat.o(67048);
    }

    public void a(int i, int i2) {
        AppMethodBeat.i(67049);
        super.a(i, i2);
        a(this.t);
        AppMethodBeat.o(67049);
    }
}
